[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: emacs22 Debian package?



Tatsuya Kinoshita <tats@vega.ocn.ne.jp> writes:

> On March 1, 2007 at 5:01PM +0100,
> dak (at gnu.org) wrote:
>
>> > BTW, I feel Emacs 22.0.94 (pretest version of 22.1) reaches a
>> > quality for Debian release.  So, please consider that Debian
>> > emacs22 package will be uploaded soon even though it is not yet an
>> > upstream official release at the moment.
>>
>> That is an excessively bad idea.  Versions 22.0.x are _pretest_
>> versions of Emacs 22, _not_ an official release.  Releasing an emacs22
>> package would be _thoroughly_ confusing as long as Emacs 22 is not
>> released.
>
> Hmm, how about emacs22_22.1~pretest22.0.94-1_*.deb to clarify the
> upstream pretest version?

I don't know about Debian version numbers, so somebody else will need
to comment.

>> What is wrong with the current emacs-snapshot* packages?
>
> The emacs-snapshot package is not for Lenny (Etch+1, will be
> released 2008-2009?), but the emacs22 package is for Lenny.  The
> emacs22 flavor has not yet been tested in Debian.  We'll try to fix
> bugs that the packages fails with the emacs22 package for Lenny.

Emacs 22 will be released in 2007 certainly.  The level of
release-centred infighting on the Emacs developer list can't rise much
anymore, and the main holdback is that RMS is still getting all
possible copyright assignment questions cleared up.

-- 
David Kastrup, Kriemhildstr. 15, 44793 Bochum



Reply to: